set more off
clear all
set mem 500m

clear all
insheet using Data_for_Table10.csv, name
merge 1:1 _n using Data\city_list.dta
order Region_4d CityName_4digit
drop _merge

rename l pop
gen ln_pop=log(pop)
gen ln_marketpotential=log(marketpotential)


gen gains_benchmark=log(realwagebenchmark)-log(realwage0)
gen ln_welfare_noE=log(realwage0)
gen ln_welfare_benchmark=log(realwagebenchmark)


label var ln_welfare_noE "No e-Comm"
label var ln_welfare_benchmark "e-Comm"
label var gains_benchmark "Gains"
label var ln_pop "ln Population"
label var ln_marketpotential "ln Market Potential"


reg ln_welfare_noE ln_pop ln_marketpotential, robust
eststo inc_reg_1

reg ln_welfare_benchmark ln_pop ln_marketpotential, robust
eststo inc_reg_2

reg gains_benchmark ln_pop ln_marketpotential, robust
eststo inc_reg_3


/*** Display and Save***/
/*Table 10*/
# delimit ;
esttab inc_reg_*,
	star(* 0.1 ** 0.05 *** 0.01)
	title(Baseline OLS Results)
	se stats(N r2)
	label nomtitles
;
# delimit cr
/*END*/
